%define anolis_release 2
%{!?_vpath_builddir:%global _vpath_builddir %{_target_platform}}
# Run tests in check section
# disable for bootstrapping

%bcond_with check

%global with_debug 1
%if 0%{?with_debug}
%global debug_package   %{nil}
%endif

Name:           dde-clipboard
Version:        5.4.24
Release:        3.%{anolis_release}%{?dist}
Summary:        Qt platform theme integration plugins for DDE
License:        GPLv3+
URL:            https://github.com/linuxdeepin/dde-clipboard
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-linguist
BuildRequires:  dtkwidget-devel
BuildRequires:  dtkwidget
BuildRequires:  libgio-qt
BuildRequires:  libgio-qt-devel
BuildRequires:  pkgconfig(dframeworkdbus)
BuildRequires:  pkgconfig(gsettings-qt)
BuildRequires:  pkgconfig(gio-qt)
BuildRequires:  clang
BuildRequires:  cmake
BuildRequires:  dtkcommon-devel  
BuildRequires:  dtkcore-devel  
BuildRequires:  dtkgui-devel  
BuildRequires:  dtkwidget-devel  
BuildRequires:  deepin-desktop-base
BuildRequires:  qt5-qttools-devel
BuildRequires:  dde-network-core-devel
BuildRequires:  kf5-networkmanager-qt-devel
BuildRequires:  qt5-qtbase-private-devel 
BuildRequires:  libXrandr-devel 
BuildRequires:  mtdev-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  mesa-libEGL-devel 
BuildRequires: 	xcb-util-wm-devel
BuildRequires: 	gtest-devel
BuildRequires: 	kf5-kwayland-devel

%description
Qt platform theme integration plugins for DDE
 Multiple Qt plugins to provide better Qt5 integration for DDE is included.


%prep
%autosetup -p1

%build
export PATH=$PATH:%{_libdir}/qt5/bin
mkdir build && cd build
%cmake ..

%install
pushd %{_builddir}/%{name}-%{version}/build
%make_install INSTALL_ROOT=%{buildroot} -C %{_vpath_builddir}
popd

%files
%{_sysconfdir}/xdg/autostart/dde-clipboard.desktop
%{_sysconfdir}/xdg/autostart/dde-clipboard-daemon.desktop
%{_bindir}/%{name}
%{_bindir}/%{name}-daemon
%{_datadir}/dbus-1/services/com.deepin.dde.Clipboard.service
/lib/systemd/user/dde-clipboard-daemon.service
%{_datadir}/%{name}/translations/
%{_datadir}/applications/dde-clipboard.desktop
%{_datadir}/applications/dde-clipboard-daemon.desktop

%changelog
* Tue Nov 07 2023 yangxianzhao <yangxianzhao@uniontech.com> - 5.4.24-3.2
- rebuild for qt

* Wed Nov 01 2023 yangxianzhao <yangxianzhao@uniontech.com> - 5.4.24-3.1
- fix build error

* Thu Mar 30 2023 mahailiang <mahailiang@uniontech.com> - 5.4.24-3
- rebuild

* Fri Feb 03 2023 liweiganga <liweiganga@uniontech.com> - 5.4.24-2
- spec: dde-network-utils replace for dde-network-core

* Mon Dec 26 2022 liweiganga <liweiganga@uniontech.com> - 5.4.24-1
- update: update to 5.4.24

* Tue Jun 14 2022 uoser <uoser@uniontech.com> - 5.3.27-1.01
- update: update to 5.3.27-1.01
